
import java.util.Vector;

/**
 * An event record plus all of the event's up and down links, for fast
 * subgraphing.
 */
public class DeedWithLinks {

	Deed theDeed;

	Vector upLinks, downLinks;

	public DeedWithLinks(Deed someDeed) {
		Deed thisDeed;
		Relation r;
		int index;
		theDeed = someDeed;
		upLinks = new Vector();
		downLinks = new Vector();
		for (int i = 0; i < Ethno.deeds.size(); i++) {
			thisDeed = (Deed) Ethno.deeds.elementAt(i);
			if (thisDeed == theDeed) {
				// Put the immediate ancestors in uplinks.
				for (int j = 0; j < thisDeed.implications.size(); j++) {
					r = (Relation) thisDeed.implications.elementAt(j);
					index = Ethno.deeds.findPositionOfElement(r.implicated);
					upLinks.addElement(Ethno.deeds.elementAt(index));
				}
			} else {
				// Put the immediate descendents in downlinks.
				for (int jj = 0; jj < thisDeed.implications.size(); jj++) {
					r = (Relation) thisDeed.implications.elementAt(jj);
					if (theDeed.shortName.equals(r.implicated)) {
						downLinks.addElement(thisDeed);
						break;
					}
				}
			}
		}
	}
}