
import java.awt.Graphics;
import java.awt.print.PageFormat;
import java.awt.print.Printable;

/** Prints the graph of implications among events on a single page. */
public class PrintGraph implements Printable {

	// Based on Java 2D Graphics, p. 277.

	// pageIndex = 0.
	public int print(Graphics g, PageFormat pageFormat, int pageIndex) {
		if (pageIndex > 0) { return Printable.NO_SUCH_PAGE; }
		g.translate((int) pageFormat.getImageableX(),
			(int) pageFormat.getImageableY());
		Ethno.graphCard.theGraph.paint(g);
		return Printable.PAGE_EXISTS;
	}
}